Subject: Re: [Mobike] issue 4: how to signal support for MOBIKE

From: Tarique Mustafa <[email-masked]>
Date: Sat, 18 Dec 2004 01:55:58 -0800 (PST)

Jari,
My original set of questions regarding this issue somehow did not get sent on the group so I am including here my questions again for everybody's input. (See  below)
-Tarique
=======
Jari, Tero, Hannes, Kempf and others:
 
I see the benefit of using either of the approaches - Vendor ID vs. Notify and am fine with either one.
 
However, just a question or "food for some more thought", here is a scenario:
 
1) Client Peer establishes a Mobike Session with Remote Peer (or server)
2) Client Peer moves to a new access point and due to change in the IP address, re-registers with the Remote Peer (or server) - session type now however (for ANY reason) is not to be Mobike Session any more :- It could be anything let's say a simple IKEv1/IKEv2 session
3) Client Peer moves again causing the IP address change again, re-registers with Remote Peer (or server) again - BUT the session type now "for some reason can and should be" a Mobike Session
 
How will this scenario be supported with the existing recommendtions in Mobike?
Will Notification vs. Vendor ID approach have any positive or negative impact in the afore mentioned scenario?
 
Regards,
-Tarique Mustafa

Jari Arkko <[email-masked]> wrote:
My interpretation of this thread is that most people
prefer the Notify approach, and it is sufficient for
our needs. Based on the question from Tarique, I would
add that we need to allow MOBIKE support to be notified
at any time (but never turned off, it does not seem
to make sense).

Pasi, I think you can mark this issue closed on the issues
page.

Hannes, I think you can use the text that you posted
a while ago, updated with the decision to use Notify
and a discussion of the timing of this Notify.

--Jari

Jari Arkko wrote:
> Yes. We shall only have one. Based on Hannes' analysis,
> both options seem to provide the same functionality.
> I am personally fine with either approach. Given that
> we are writing a design draft, perhaps we should make
> a design decision and pick one? It seems that a few people
> preferred the Notify. I'm not sure I understood Tero's
> objection to Vendor ID, but at least Notify sounds nicer.
> Pick that and move one to the next issue?
> 
> --Jari

_______________________________________________
Mobike mailing list
[email-masked]
https://www.machshav.com/mailman/listinfo.cgi/mobike

---------------------------------
Do you Yahoo!?
The all-new My Yahoo! – What will yours do?

---------------------------------
Do you Yahoo!?
 Yahoo! Mail - Find what you need with new enhanced search. Learn more.

_______________________________________________
Mobike mailing list
[email-masked]
https://www.machshav.com/mailman/listinfo.cgi/mobike